%{?scl:%scl_package preupgrade-assistant}
%{!?scl:%global pkg_name %{name}}

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%global oscap_name openscap
%global pywrapper preupgrade-assistant
%global pywrapper_version 0.9.1
%global with_oscap 1
%global with_ui 1

Name:           %{?scl_prefix}preupgrade-assistant
Version:        1.0.2
Release:        36.0.1%{?dist}
Summary:        Set of open source libraries enabling integration of the SCAP line of standards
Group:          System Environment/Libraries
License:        GPLv3+
URL:            http://www.open-scap.org/
Source0:        http://fedorahosted.org/releases/o/p/openscap/%{oscap_name}-%{version}.tar.gz
Source1:        %{pywrapper}-%{pywrapper_version}.tar.bz2
# dont build suid binary, since it's not done
#Source2:        preupg_runner.c
Patch3:         openscap-1.0.2-result.patch
Patch1000:     openscap-centos-platform.patch
Patch1001:     preupgrade-assistant-centospkgs.patch
Patch1002:     preupgrade-assistant-no-variants.patch

BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildRequires:  %{?scl_prefix}swig 
BuildRequires:  %{?scl_prefix}libxml2-devel %{?scl_prefix}libxslt-devel %{?scl_prefix}m4 %{?scl_prefix}perl-XML-Parser
BuildRequires:  %{?scl_prefix}rpm-devel
BuildRequires:  %{?scl_prefix}libgcrypt-devel
BuildRequires:  %{?scl_prefix}pcre-devel
BuildRequires:  %{?scl_prefix}libacl-devel
BuildRequires:  %{?scl_prefix}libselinux-devel %{?scl_prefix}libcap-devel
BuildRequires:  %{?scl_prefix}util-linux
BuildRequires:  %{?scl_prefix}curl-devel
BuildRequires:  %{?scl_prefix}python-devel
%if %{?_with_check:1}%{!?_with_check:0}
BuildRequires:  %{?scl_prefix}perl-XML-XPath
%endif
BuildRequires:  %{?scl_prefix}python-setuptools
BuildRequires:  %{?scl_prefix}rpm-python
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Requires: %{?scl_prefix}openscap%{?_isa} >= 0:0.9.3-1
Requires: %{?scl_prefix}coreutils %{?scl_prefix}grep %{?scl_prefix}gawk
Requires: %{?scl_prefix}sed %{?scl_prefix}findutils %{?scl_prefix}bash

%description
Preupgrade assistant performs assessment of the system from
the "upgradeability" point of view. Such analysis includes check for removed
packages, packages replaced by partially incompatible packages, changes in
libraries, users and groups and various services. Report of this analysis
can help the admin with the inplace upgrade - by identification of potential
troubles and by mitigating some of the incompatibilities. Data gathered
by preupgrade assistant can be used for the "cloning" of the system - new,
clean installation of the system, as close as possible to the old RHEL setup.
In addition, it provides some postupgrade scripts which are supposed to finish
migration after the installation of RHEL-7 system.

%if 0%{?with_ui}
%package ui
Summary:    Preupgrade Assistant Web Based User Interface
Group:      System Environment/Libraries
Requires:   %{?scl_prefix}%{pywrapper}
#Requires: paramiko
Requires:   sqlite
Requires:   mod_wsgi
Requires:   %{name} = %{version}
%description ui
Graphical interface for preupgrade assistant. This can be used 
for creating new runs and inspecting results.
%endif # with_ui

%prep
%setup -q -b 1 -n %{pywrapper}-%{pywrapper_version}
%patch1001 -p1
%patch1002 -p1
%if 0%{?with_oscap}
%setup -q -b 0 -n %{oscap_name}-%{version}
%patch3 -p1
%patch1000 -p1
%endif # with_oscap

%build
%if 0%{?with_oscap}
%ifarch sparc64
#sparc64 need big PIE
export CFLAGS="$RPM_OPT_FLAGS -fPIE"
export LDFLAGS="-pie -Wl,-z,relro -Wl,-z,now"
%else
export CFLAGS="$RPM_OPT_FLAGS -fpie"
export LDFLAGS="-pie -Wl,-z,relro -Wl,-z,now"
%endif
%{?scl:scl enable %{scl} "}
%configure --disable-python --enable-sce --libdir=%{_libdir}/preupgrade
%{?scl:"}
%{?scl:scl enable %{scl} "}
make %{?_smp_mflags}
%{?scl:"}

# Remove shebang from bash-completion script
sed -i '/^#!.*bin/,+1 d' dist/bash_completion.d/oscap
%endif # with_oscap
# dont ship suid, since it's not done
# gcc .{SOURCE2} -o .{_builddir}/preupg_runner -Wall -O2

%check
%if 0%{?with_oscap}
#to run make check use "--with check"
%if %{?_with_check:1}%{!?_with_check:0}
%{?scl:scl enable %{scl} "}
make check
%{?scl:"}
%endif
%endif # with_oscap
#cd ..
#cd .{pywrapper}-.{pywrapper_version}
#.{__python} setup.py test

%install
rm -rf $RPM_BUILD_ROOT

%if 0%{?with_oscap}
%{?scl:scl enable %{scl} "}
make install INSTALL='install -p' DESTDIR=$RPM_BUILD_ROOT
%{?scl:"}
%endif # with_oscap

#Preupgrade stuff
mkdir -m 755 -p $RPM_BUILD_ROOT%{_datadir}/preupgrade/{xsl,common}
mkdir -p -m 755 $RPM_BUILD_ROOT%{_datadir}/preupgrade/postupgrade.d
#Premigrate stuff
mkdir -m 755 -p $RPM_BUILD_ROOT%{_datadir}/premigrate/{xsl,common}
mkdir -p -m 755 $RPM_BUILD_ROOT%{_datadir}/premigrate/postupgrade.d

mkdir -p -m 755 $RPM_BUILD_ROOT%{_datadir}/sectool-sce/
mkdir -p -m 755 $RPM_BUILD_ROOT%{_datadir}/doc/preupgrade

install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/preupgrade
install -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/log/preupgrade

%if 0%{?with_oscap}
mv $RPM_BUILD_ROOT%{_bindir}/oscap $RPM_BUILD_ROOT/%{_bindir}/preupgrade_oscap

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
# We need to provide only openscap library
rm -f $RPM_BUILD_ROOT/usr/bin/scap-as-rpm
rm -rf $RPM_BUILD_ROOT/usr/share/man
rm -f $RPM_BUILD_ROOT/usr/share/openscap/scap*
rm -rf $RPM_BUILD_ROOT/usr/share/openscap/{cpe,xsl,schemas,sectool-sce}
rm -rf $RPM_BUILD_ROOT/usr/{include,libexec}
rm -rf $RPM_BUILD_ROOT/usr/lib{64}/python2.{6,7}
rm -rf $RPM_BUILD_ROOT/etc
%endif # with_oscap

# dont build ship suid since it's not done
# mkdir -p $RPM_BUILD_ROOT.{_bindir}
# install .{_builddir}/preupg_runner $RPM_BUILD_ROOT.{_bindir}/preupg_runner

cd ..
cd %{pywrapper}-%{pywrapper_version}
%{__python} setup.py install --root=$RPM_BUILD_ROOT

%define egg_name %(echo %{name} | sed s/-/_/)

install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -p man/preupg.1 $RPM_BUILD_ROOT%{_mandir}/man1/

####################
# WEB-UI packaging #
#################### 
%if 0%{?with_ui}

#create dirs for data
mkdir -m 644 -p ${RPM_BUILD_ROOT}%{_sharedstatedir}/preupgrade/results/
mkdir -m 644 -p ${RPM_BUILD_ROOT}%{_sharedstatedir}/preupgrade/upload/

touch ${RPM_BUILD_ROOT}%{_localstatedir}/log/preupgrade/ui.log

sed \
  -e "s;^DEBUG = True$;DEBUG = False;" \
  -i ${RPM_BUILD_ROOT}%{python_sitelib}/preup_ui/webui/settings.py

# populate DB
cd ${RPM_BUILD_ROOT}%{python_sitelib}/preup_ui/
PYTHONPATH="${RPM_BUILD_ROOT}%{python_sitelib}/preup_ui/lib/" %{__python} manage.py syncdb --noinput
PYTHONPATH="${RPM_BUILD_ROOT}%{python_sitelib}/preup_ui/lib/" %{__python} manage.py migrate report
PYTHONPATH="${RPM_BUILD_ROOT}%{python_sitelib}/preup_ui/lib/" %{__python} manage.py migrate config

sed -e "/^LOGGING_CONFIG = None$/d" -i ${RPM_BUILD_ROOT}%{python_sitelib}/preup_ui/webui/settings.py

install -m 644 db.sqlite ${RPM_BUILD_ROOT}%{_sharedstatedir}/preupgrade/

cd -

#set DATA_DIR to /var/lib/preupgrade/
sed \
  -e "s;^DATA_DIR = PROJECT_DIR$;DATA_DIR = '%{_sharedstatedir}/preupgrade/';" \
  -i ${RPM_BUILD_ROOT}%{python_sitelib}/preup_ui/webui/settings.py

# httpd confs
sed -e 's;WSGI_PATH;%{python_sitelib}/preup_ui/webui/wsgi.py;g' -i ui-conf/99-preup-httpd.conf
sed -e 's;STATIC_PATH;%{python_sitelib}/preup_ui/static/;g' -i ui-conf/99-preup-httpd.conf
sed -e 's;LIBS_PATH;%{python_sitelib}/preup_ui/lib/;g' -i ui-conf/99-preup-httpd.conf
sed -e 's;APP_PATH;%{python_sitelib}/preup_ui/;g' -i ui-conf/99-preup-httpd.conf
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d/
install -m 644 ui-conf/99-preup-httpd.conf ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d/
sed -e 's;WSGI_PATH;%{python_sitelib}/preup_ui/webui/wsgi.py;g' -i ui-conf/99-preup-httpd.conf.public
sed -e 's;STATIC_PATH;%{python_sitelib}/preup_ui/static/;g' -i ui-conf/99-preup-httpd.conf.public
sed -e 's;LIBS_PATH;%{python_sitelib}/preup_ui/lib/;g' -i ui-conf/99-preup-httpd.conf.public
sed -e 's;APP_PATH;%{python_sitelib}/preup_ui/;g' -i ui-conf/99-preup-httpd.conf.public
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d/
install -m 644 ui-conf/99-preup-httpd.conf.public ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d/
%else
# If UI is not build up
rm -rf ${RPM_BUILD_ROOT}%{python_sitelib}/preup_ui/
%endif # with_ui

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%if 0%{?with_ui}
%post ui
if [ $1 -eq 2 ] ; then
# apply DB migrations when updating
pushd %{python_sitelib}/preup_ui/ >/dev/null
PYTHONPATH="%{python_sitelib}/preup_ui/lib/:${PYTHONPATH}" %{__python} manage.py migrate report
PYTHONPATH="%{python_sitelib}/preup_ui/lib/:${PYTHONPATH}" %{__python} manage.py migrate config
popd >/dev/null
fi

if [ $1 -eq 1 ] ; then
# generate unique SECRET_KEY when installing
pushd %{python_sitelib}/preup_ui/ >/dev/null
# final replacement is because of sed rhbz#1092683
SECRET_KEY=$(PYTHONPATH="%{python_sitelib}/preup_ui/lib/:${PYTHONPATH}" %{__python} -c "from django.utils.crypto import get_random_string ; chars = 'abcdefghijklmnopqrstuvwxyz0123456789@#$%^&*(-_=+)' ; print get_random_string(50, chars).replace('&', r'\&')")
sed \
  -e "s;^SECRET_KEY =.*$;SECRET_KEY = '${SECRET_KEY}';" \
  -i webui/settings.py
popd >/dev/null
fi
%endif # with_ui

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%if 0%{?with_oscap}
%dir %{_libdir}/preupgrade
%{_libdir}/preupgrade/*.so*
%{_libdir}/preupgrade/pkgconfig
%{_bindir}/preupgrade_oscap
%endif # with_oscap
%{_bindir}/preupg
%{_bindir}/premigrate
# don't ship suid since it's not done
#.attr(4555i, root, root) .{_bindir}/preupg_runner
%{python_sitelib}/preup
%{python_sitelib}/%{egg_name}*.egg-info
# Preupgrade stuff
%dir %{_datadir}/preupgrade
%{_datadir}/preupgrade/common
%{_datadir}/preupgrade/common.sh
%{_datadir}/preupgrade/postupgrade.d
%{_datadir}/preupgrade/xsl
%doc %{_datadir}/preupgrade/README
%doc %{_datadir}/preupgrade/README.kickstart
# Premigrate stuff
%dir %{_datadir}/premigrate
%{_datadir}/premigrate/common
%{_datadir}/premigrate/common.sh
%{_datadir}/premigrate/postupgrade.d
%{_datadir}/premigrate/xsl
%doc %{_datadir}/premigrate/README
%doc %{_datadir}/premigrate/README.kickstart
%dir %{_datadir}/doc/preupgrade
%doc %{_datadir}/doc/preupgrade/LICENSE
%dir %{_localstatedir}/log/preupgrade
%{_mandir}/man1/*

%if 0%{?with_ui}
%files ui
%defattr(-,root,root,-)
%{python_sitelib}/preup_ui
%verify(not md5 size mtime) %config %{python_sitelib}/preup_ui/webui/settings.py*
%config(noreplace) %{_sysconfdir}/httpd/conf.d/99-preup-httpd.conf
%config(noreplace) %{_sysconfdir}/httpd/conf.d/99-preup-httpd.conf.public
%attr(0744, apache, apache) %{_sharedstatedir}/preupgrade/
%verify(not md5 size mtime) %config(noreplace) %{_sharedstatedir}/preupgrade/db.sqlite
%verify(not md5 size mtime) %attr(0644, apache, apache) %{_localstatedir}/log/preupgrade/ui.log
%endif # with_ui

%changelog
* Wed Sep 03 2014 Johnny Hughes <johnny@centos.org> - 1.0.2-36.0.1.el6.centos
- Roll in the following changes from Manuel Mausz <manuel@mausz.at>
  as patches 1000, 1001, 1002
- allow preupdate to recognize CentOS
- add VALUE_RPM_CENTOSSIGNED which contains all packages signed by CentOS
- disable OS variants check and always return "Server"

* Thu Jul 31 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-36
- settings.pyc is missing in verify section
Resolves: #1124356

* Tue Jul 29 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-35
- rpm -V issue in preupgrade-assistant-ui package
Resolves: #1124356

* Tue Jul 22 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-34
- Bump version

* Fri Jun 06 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-33
- rpm -V issue in preupgrade-assistant-ui package
Resolves: #1105482

* Thu Jun 05 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-32
Resolves: #1105120
- preupgrade-assistant doesn't check file updates

* Wed Jun 04 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-31
- Related: #1100192 Some fixes in HTML output

* Wed Jun 04 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-30
- Related: #1100192 Proper update of solution texts

* Thu May 29 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-29
- Add LICENSE text (#1102778)
- use rcue instead of patternfly rhbz#1102789

* Tue May 27 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-28
- Do not ship setuid binary (#1101698)
- Use correct preupg extension in config files

* Thu May 22 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-27
- Resolves: #1100192 Copy modified configuration files

* Wed May 21 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-26
- Fix for inplacerisk links

* Fri May 16 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-25
- Fix for running contents

* Thu May 15 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-24
- Support for repo metadata

* Wed May 14 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-23
- Fix for command log files traceback

* Mon May 12 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-22
- Fixes in solution text files
- Show only selected number of rules

* Mon May 05 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-21
- Support a 3rdpart contents

* Tue Apr 29 2014 Pavel Raiskup <praiskup@redhat.com> - 1.0.2-20
- fix for unowned directories

* Fri Apr 25 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-19
- Fix: prefix issue #(1091074)

* Thu Apr 10 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-18
- Fixes in order to support premigrate command

* Mon Apr 07 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-17
- Fix API usage from redhat-upgrade-tool (#1084983)

* Thu Mar 27 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-16
- other fixes in setup.py

* Tue Mar 25 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-15
- Huge Python refactoring
- fix in setup.py

* Tue Mar 25 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-14
- Several Python fixes
- XML enhancement
- Supporting premigrate contents in /usr/share/premigrate

* Fri Mar 21 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-13
- Several fixes found during QA test days

* Wed Mar 19 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-12
- Text improvements
- debug option used for oscap output
- premigrate script for migration scenario

* Wed Mar 19 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-11
- Man page introduced
- Needs inspection in HTML page
- More enhancements in UI
- Improved CLI
- Several fixes

* Thu Mar 13 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-10
- Fix the bug #1075853

* Wed Mar 12 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-9
- new upstream version
- remove DEBUG info in case of no --debug option
- Introduced new states needs_action and needs_inspection
- several fixes

* Fri Mar 07 2014 Tomas Tomecek <ttomecek@redhat.com> - 1.0.2-8
- package UI: new package -ui
- cleanup

* Tue Feb 11 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-6
- Fix in common.sh
- Add user interactive messages

* Mon Feb 10 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-5
- Fix the problem with logger
- If all-xccdf.xml is not found in /usr/share/preupgrade then print message
- Remove all yaml directives

* Mon Feb 03 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-4
- New option riskcheck for preupgrade-assistant analysis
- Option will be mainly used by redhat-upgrade-tool

* Tue Jan 28 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-3
- Introduced special tags for solution texts

* Tue Jan 21 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-2
- adding postupgrade.d scripts
- logs are updated only in case of RPM database change

* Mon Jan 13 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-1
- Update to the latest openscap version

* Fri Jan 10 2014 Petr Hracek <phracek@redhat.com> - 1.0.1-14
- Introduce remediation
- Some python fixes and improvements

* Tue Dec 17 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-13
- Using INI files instead of YAML
- Introduce tests in spec file
- Fix using preupg -c option

* Wed Dec 11 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-12
- Support more txt files in content directory
- Do not ship web-ui yet
- Bump preupgrade-assistant version

* Tue Dec 10 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-11
- Bump wrapper version because of API changes
- Functions have comments
- Reference to KICKSTART_README file
- /root/preupgrade/common directory is deleted
- dirtyconf and cleanconf directories are introduced

* Tue Dec 10 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-10
- Update description text

* Mon Dec 09 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-9
- Add README file
- more tests for OSCAP functionality

* Mon Dec 09 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-8
- Add progress bar during gathering common logs
- Copy some common files to kickstart

* Mon Dec 09 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-7
- python refactoring
- HTML escape fixes
- Add correct usage of <br/> tag

* Thu Dec 05 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-6
- post_script.txt file for post scan issues
- Introduce --scan option for scanning
- Introduce --list-contents for getting list of contents
- Introduce --check option for testing contents by maintainers

* Thu Dec 05 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-5
- Correct parsing rpm_qa.log in API

* Wed Dec 04 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-4
- solution text and solution script can be together a content

* Wed Dec 04 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-3
- description field does not used any HTML tag

* Wed Dec 04 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-2
- Introduce more tests
- Functions for postupgrade case
- Use <br> tag instead of <p> in HTML description

* Mon Dec 02 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-1
- Bump to new upstream openscap release

* Mon Dec 02 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-18
- group_title is not needed anymore in YAML files
- Correct requirements in spec file
- with statement has not to be used in python code
- Add RHEL5 building issue
- correct XML generation in case of missing YAML values

* Thu Nov 28 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-17
- preupgrade-assistant-contents-users is not part of the spec file
- Hide some debug logs
- group_title is not needed anymore in YAML files
- All solution text will be replace automatically at the end

* Thu Nov 28 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-16
- All python sources are part of preupgrade-assistant package

* Wed Nov 27 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-15
- Solution text can be HTML
- Add license texts
- Execute preupgrade assistant without argument
- More contents

* Mon Nov 25 2013 Tomas Tomecek <ttomecek@redhat.com> - 0.9.11-14
- remove argparse dependency (use builtin optparse)

* Mon Nov 25 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-13
- Correct HTML syntax in solution text files

* Mon Nov 25 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-12
- SOLUTION_MSG has prefix which regards to content

* Sat Nov 23 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-11
- directory /var/cache/preupgrade/common is create automatically

* Fri Nov 22 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-10
- YAML is needed for the build

* Fri Nov 22 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-9
- New return value from content exit_failed (reference to exit_fail)

* Thu Nov 21 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-8
- YAML is not needed anymore
- New contents types
- Fixing BASH API

* Wed Nov 20 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-7
- Fix for current directory tag with relative path to all-xccdf.xml 

* Tue Nov 19 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-6
- solution_file is introduced
- content dir is part of XML value.
- more generated functions like check_applies_to and check_rpm_to
- YAML is not needed for building RPMs anymore

* Wed Nov 06 2013 Pavel Raiskup <praiskup@redhat.com> 0.9.11-5
- rebuild to package recent upstream work

* Mon Nov 04 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-4
- common API is moved to preupgrade-assistant package

* Mon Nov 04 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-4
- Fixed problems with wrong content

* Fri Nov 01 2013 Petr Hracek <phracek@redhat.com> 0.9.11-3
- Python refactoring and content definition

* Thu Oct 10 2013 Petr Hracek <phracek@redhat.com> 0.9.11-2
- temporary directory will be /var/tmp/preupgrade
- some corrections in create_group_xml.py and xccdf_compose.py files

* Thu Sep 12 2013 Petr Hracek <phracek@redhat.com> 0.9.11-1
- New openscap upstream version
- Supporting common modules

* Mon Dec 17 2012 Petr Hracek <phracek@redhat.com> 0.9.3-1
- Initial rpm
